Amadeus Selling Platforms PCI-DSS TLS 1.2 migration is coming

Published on: Oct 24 2017 by Neil Canning

As part of an industry-wide initiative, the  TLS 1.2 protocol (Transport Layer Security) for secure data transmission will be enforced in the coming months in order to benefit from the highest security standard.

Access to Selling Platform and Selling Platform Connect will no longer be allowed for earlier TLS versions from the 28th February 2018.

Customers using Internet Explorer, version 7 or 8: access to Selling Platform and Selling Platform Connect will not be possible anymore (as TLS 1.2 is not supported on these browsers). An upgrade of the browser version is needed.

Customers using Internet Explorer, version 9 or 10: access to Selling Platform and Selling Platform Connect is possible, but a manual action might be required to activate TLS 1.2 in the settings (Internet options – Advanced Tab) of Internet Explorer (the feature is not activated by default).

Customers using Internet Explorer, version 11: TLS is activated by default. Access to both Selling Platform and Selling Platform Connect will be available.

Customers using other browsers: For Selling Platform Connect access please ensure that you are running the latest version of your browser. Mozilla Firefox 27 and higher. Google Chrome 38 and higher. Desktop Safari version 7 or higher.

Operating system (OS) impact: Windows Operating systems older than Windows 7 (Windows Vista, Windows XP) do not support TLS 1.2 compatible Internet Explorer browser versions. Upgrade to a more recent OS may be required.

Using the latest Chrome or Firefox browser version can be an alternative solution for Selling Platform Connect access only.

More information can be found on the Amadeus Service Hub.

Leave a Reply

*

*